Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Ansichtsfenster in mehreren Layouts ausschalten

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Ansichtsfenster in mehreren Layouts ausschalten (470 mal gelesen)
erbschen
Mitglied
Zeichnerin für Elektrotechnik


Sehen Sie sich das Profil von erbschen an!   Senden Sie eine Private Message an erbschen  Schreiben Sie einen Gästebucheintrag für erbschen

Beiträge: 78
Registriert: 13.07.2004

Windows 7; ACAD 2019

erstellt am: 14. Mrz. 2019 09:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Liebes Forum,

wir sind schon die ganze Zeit am suchen. Ich weiß, es gibt einen Befehl der alle Ansichtsfenster in allen Layouts ausschaltet.
Diese Funktion spart Zeit, weil der PC (wenn ich beispielsweise nur die Planköpfe indexiere) nicht immer das ganze Layout aufbauen muss.
Nur wissen wir nicht mehr wie der Befehl heißt. Bzw. ist das eine Systemvariable.

Grüße aus Franken

erbschen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Iris2
Mitglied
CAD-Admin


Sehen Sie sich das Profil von Iris2 an!   Senden Sie eine Private Message an Iris2  Schreiben Sie einen Gästebucheintrag für Iris2

Beiträge: 1162
Registriert: 17.02.2004

REVIT 2014/2015/2016
TEKLA Structures
liNear
AutoCAD 2014 / Soficad
ACA 2014
Microstation V8i

erstellt am: 14. Mrz. 2019 10:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für erbschen 10 Unities + Antwort hilfreich

bbernd
Mitglied
Technischer Zeichner / Zimmerermeister


Sehen Sie sich das Profil von bbernd an!   Senden Sie eine Private Message an bbernd  Schreiben Sie einen Gästebucheintrag für bbernd

Beiträge: 1321
Registriert: 20.02.2009

AutoCAD -2020
Gimp 2.10
TurboCAD 17
DraftSight 2D
Windows7 Ent 64bit
16 GB Arbeitsspeicher
NVIDIA Quadro M2000

erstellt am: 14. Mrz. 2019 10:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für erbschen 10 Unities + Antwort hilfreich


ACAD_Ansichtfensterinhalt_AUS_14032019.JPG

 
Hallo,

RMT auf den Rahmen und dann im Kontextmenü, Anzeige Nein.

------------------
Gruß Bernd

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

erbschen
Mitglied
Zeichnerin für Elektrotechnik


Sehen Sie sich das Profil von erbschen an!   Senden Sie eine Private Message an erbschen  Schreiben Sie einen Gästebucheintrag für erbschen

Beiträge: 78
Registriert: 13.07.2004

Windows 7; ACAD 2019

erstellt am: 14. Mrz. 2019 10:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich meine aber, dass es dazu einen Befehl gegeben hat...     

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Vino
Mitglied



Sehen Sie sich das Profil von Vino an!   Senden Sie eine Private Message an Vino  Schreiben Sie einen Gästebucheintrag für Vino

Beiträge: 135
Registriert: 24.05.2005

Windows 10
BricsCAD V19

erstellt am: 14. Mrz. 2019 10:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für erbschen 10 Unities + Antwort hilfreich

Hallo,

von einem eingebauten Befehl weiß ich nichts, aber hier eine minimal geänderte Version des Codes aus DIESEM THREAD:

Code:
(defun c:afaus (/ objlist n)
  (setq objlist (ssget "X" '((0 . "VIEWPORT"))))
  (setq n 0)
  (repeat (sslength objlist)
    (vla-put-viewporton (vlax-ename->vla-object (ssname objlist n)) :vlax-true)
    (setq n (1+ n))
  )
)

Und zum wieder einschalten dann:

Code:
(defun c:afein (/ objlist n)
  (setq objlist (ssget "X" '((0 . "VIEWPORT"))))
  (setq n 0)
  (repeat (sslength objlist)
    (vla-put-viewporton (vlax-ename->vla-object (ssname objlist n)) :vlax-false)
    (setq n (1+ n))
  )
)

Gruß
Stefan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kramer24
Ehrenmitglied V.I.P. h.c.
Architekt


Sehen Sie sich das Profil von Kramer24 an!   Senden Sie eine Private Message an Kramer24  Schreiben Sie einen Gästebucheintrag für Kramer24

Beiträge: 5786
Registriert: 09.11.2001

Acad Architecture 2017
WIN 10

erstellt am: 14. Mrz. 2019 16:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für erbschen 10 Unities + Antwort hilfreich

erbschen,

es gibt ein fertiges Icon auf der Basis eines Befehlszeilenmakros.
_cui -> Ansichtsfenster , anzeigen, nein

Im Netz gibt es auch ein Lisp, mit der diese Funktion getoggelt werden kann.
Getestet mit ACA 2019

L.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19071
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 29. Mai. 2019 12:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für erbschen 10 Unities + Antwort hilfreich

Nachgeschoben:
Oder wenn das Problem eine hohe Anzahl an Ansichtsfenster angeht, dann die Anzahl der max. dargestellten AF in einem Layout auf 2 setzen,
dies zeigt dann nur noch in einem Benutzerdefiniertes Ansichtfenster den Modellbereich an. MAXACTVP

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1127
Registriert: 11.01.2006

Win 10
ACAD 2019

erstellt am: 29. Mai. 2019 16:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für erbschen 10 Unities + Antwort hilfreich

Hallo erbschen,
nur so ein Tipp.

Wenn ich in allen Planköpfen das selbe (also wirklich das Selbe) machen muss mach ich erst das hier:

(setq satz (ssget "x" '((0 . "INSERT") (2 . "Plankopf"))))

und dann das hier:

(sssetfirst satz satz)

Dann hab ich alle Planköpfe gewählt (in allen Layouts) und kann die Attribute im Eigenschaften-Fenster ändern.
Das funktioniert natürlich nur wenn in allen das Selbe gemacht werden soll (Index, Datum, ...).
Blattnummer und sowas würdest du damit vernichten wenn du daran was änderst.

Kann man sich auf einen "Knopf" legen weils bequemer ist. Der Blockname "Plankopf" ist hier nur ein Platzhalter und natürlich austauschbar.

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19071
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 29. Mai. 2019 17:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für erbschen 10 Unities + Antwort hilfreich

LT-Nutzer können dann auf FILTER, Anwenden auf -> Objektwahl ALLE verwenden (Vollversion Nutzer natürlich auch)
Da kommt einem dann die Speichermöglichkeit von Filterlisten gerade recht.

Achtung: Beides (SSGET wie auch FILTER) funktioniert nicht für dynamische Blöcke, zumindest nicht sobald die Referenzen dyn. geändert wurden.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz